FROM python:3.6.9-slim-buster
LABEL maintainer="Alpha"

ENV BOT_IP="127.0.0.1"
ENV BOT_PORT="1029"
ENV BOT_USERNAME="admin"
ENV BOT_PASSWORD="admin"
ENV WEB_USERNAME="admin"
ENV WEB_PASSWORD="admin"

RUN apt-get update && apt-get upgrade
RUN apt-get -y install libcurl4-gnutls-dev
RUN apt-get clean
RUN apt-get autoclean 
RUN apt-get -y install libcurl4-openssl-dev
RUN apt-get -y install wget unzip build-essential libcurl4-openssl-dev libssl-dev librtmp-dev default-libmysqlclient-dev tk-dev libncurses5-dev libncursesw5-dev libreadline6-dev libdb5.3-dev libgdbm-dev libsqlite3-dev libssl-dev libbz2-dev libexpat1-dev liblzma-dev zlib1g-dev
RUN pip3.6 install --upgrade pip setuptools
RUN mkdir web
WORKDIR /web
RUN wget https://www.mfbot.de/Download/v5.0.0.4/mfbot-webinterface.zip
RUN unzip mfbot-webinterface.zip
RUN rm mfbot-webinterface.zip
RUN pip3.6 install -r requirements.txt
RUN pip3.6 install dash==0.23.1
EXPOSE 8050

CMD ["python3.6", "MainProgram.py", "-a", "http://${BOT_IP}:${BOT_PORT}/", "--remoteU=${BOT_USERNAME}", "--remoteP=${BOT_PASSWORD}", "--webU=${WEB_USERNAME}", "--webP=${WEB_PASSWORD}"]